## errands 46.2.4

=== build-aux/requirements.txt ===
caldav==1.3.9
certifi==2024.2.2
charset-normalizer==3.3.2
icalendar==5.0.12
idna==3.7
lxml==5.2.1
python-dateutil==2.9.0.post0
pytz==2024.1
recurring-ical-events==2.2.1
requests==2.31.0
six==1.16.0
tzlocal==5.2
urllib3==2.2.1
vobject==0.9.7
x-wr-timezone==0.0.7

## errands 45.0.4

=== debian/changelog ===
errands (45.0.4-2) unstable; urgency=medium

  * Add additional Uploader (Closes: #1052017)
  * Release to Unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 Nov 2023 16:12:03 -0400

errands (45.0.4-1) experimental; urgency=medium

  * Initial release. (Closes: #1054416)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 23 Oct 2023 10:25:30 -0400

=== debian/control ===
Source: errands
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Leandro Cunha <leandrocunha016@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 desktop-file-utils,
 dh-sequence-python3,
 libglib2.0-dev,
 libgtk-4-dev,
 libxml2-utils,
 meson,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/mrvladus/Errands
Vcs-Browser: https://salsa.debian.org/gnome-team/errands
Vcs-Git: https://salsa.debian.org/gnome-team/erands.git

Package: errands
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 gir1.2-adw-1 (>= 1.4.0),
 gir1.2-gtk-4.0 (>= 4.12.0),
 python3-caldav,
 python3-gi
Description: Simple tasks app for GNOME
 Errands is a todo app for those who prefer simplicity.
 It can optionally sync with a CalDAV or NextCloud server.
 .
 Errands is a GNOME Circle app.

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/.*@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
https://api.github.com/repos/mrvladus/Errands/tags \
https://api.github.com/repos/mrvladus/Errands/tarball/refs/tags/v?@ANY_VERSION@

## errands 45.1.9

=== debian/changelog ===
errands (45.1.9-2) unstable; urgency=medium

  * d/control: Add missing build-dep and dependency.
  * d/rules: Delete empty directory.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 18 Mar 2024 02:11:42 -0300

errands (45.1.9-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - Fix Vcs-Git field.
    - Add new build-dependencies and depends.
  * d/patches: Merged gschema.patch.
    See https://github.com/mrvladus/Errands/pull/77.
  * d/watch: Fix version format in upstream tarball.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Sun, 18 Feb 2024 22:43:58 -0300

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,23 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Leandro Cunha <leandrocunha016@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
+ appstream,
  desktop-file-utils,
  dh-sequence-python3,
+ libadwaita-1-dev (>= 1.4.0),
  libglib2.0-dev,
+ libgoa-1.0-dev,
  libgtk-4-dev,
+ libgtksourceview-5-dev,
+ libsecret-1-dev,
  libxml2-utils,
  meson,
+ python-gi-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mrvladus/Errands
 Vcs-Browser: https://salsa.debian.org/gnome-team/errands
-Vcs-Git: https://salsa.debian.org/gnome-team/erands.git
+Vcs-Git: https://salsa.debian.org/gnome-team/errands.git
 
 Package: errands
 Architecture: all
@@ -24,8 +30,12 @@
  ${misc:Depends},
  gir1.2-adw-1 (>= 1.4.0),
  gir1.2-gtk-4.0 (>= 4.12.0),
+ gir1.2-goa-1.0,
+ gir1.2-gtksource-5,
+ gir1.2-secret-1,
  python3-caldav,
- python3-gi
+ python3-gi,
+ python3-pycryptodome
 Description: Simple tasks app for GNOME
  Errands is a todo app for those who prefer simplicity.
  It can optionally sync with a CalDAV or NextCloud server.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE_NAME = $(firstword $(shell grep Package debian/control | cut -d: -f2))

%:
	dh $@

# Delete empty directory: /usr/share/errands/errands/utils.
execute_after_dh_auto_install:
	find debian/$(PACKAGE_NAME)/usr/share/$(PACKAGE_NAME)/$(PACKAGE_NAME)/utils -type d -empty -delete

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%@ANY_VERSION@%$1.tar.gz%" \
https://api.github.com/repos/mrvladus/@PACKAGE@/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/@ANY_VERSION@

## errands 46.2.2

=== debian/changelog ===
errands (46.2.2-1) unstable; urgency=medium

  [ Leandro Cunha ]
  * New upstream version
  * d/control:
    - Add Build-Depends: libportal-gtk4-dev
    - Bump Standards-Version to 4.7.0, no changes needed
    - Set gir1.2-adw-1 and libadwaita-1-dev to 1.5.0, this follows the
      upstream recommendation

  [ Jeremy Bícha ]
  * Add Depends: gir1.2-xdp-1.0
  * Mark appstream Build-Depends as only needed for build tests
  * Update Homepage

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 27 May 2024 18:44:29 -0300

## errands 46.2.4

=== debian/changelog ===
errands (46.2.4-1) unstable; urgency=medium

  * New upstream version.
    + Update translations and fixes due time of tasks gets deleted.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 16 Sep 2024 15:48:44 -0400

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Leandro Cunha <leandrocunha016@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- appstream,
+ appstream <!nocheck>,
  desktop-file-utils,
  dh-sequence-python3,
- libadwaita-1-dev (>= 1.4.0),
+ libadwaita-1-dev (>= 1.5.0),
  libglib2.0-dev,
  libgoa-1.0-dev,
  libgtk-4-dev,
  libgtksourceview-5-dev,
+ libportal-gtk4-dev,
  libsecret-1-dev,
  libxml2-utils,
  meson,
  python-gi-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://github.com/mrvladus/Errands
+Homepage: https://apps.gnome.org/List/
 Vcs-Browser: https://salsa.debian.org/gnome-team/errands
 Vcs-Git: https://salsa.debian.org/gnome-team/errands.git
 
@@ -28,11 +29,12 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
- gir1.2-adw-1 (>= 1.4.0),
+ gir1.2-adw-1 (>= 1.5.0),
  gir1.2-gtk-4.0 (>= 4.12.0),
  gir1.2-goa-1.0,
  gir1.2-gtksource-5,
  gir1.2-secret-1,
+ gir1.2-xdp-1.0,
  python3-caldav,
  python3-gi,
  python3-pycryptodome

## errands 46.2.7

=== debian/changelog ===
errands (46.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 09 Dec 2024 11:21:33 -0300

errands (46.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 18 Nov 2024 17:20:07 -0300

## errands 46.2.8

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'release',
    'development',
  ],
  value: 'release'
)

=== build-aux/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-caldav==1.3.9
+caldav==1.4.0
 certifi==2024.2.2
 charset-normalizer==3.3.2
 icalendar==5.0.12

=== debian/changelog ===
errands (46.2.8-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump Standards-Version to 4.7.2, no changes needed

 -- Leandro Cunha <leandrocunha016@gmail.com>  Fri, 21 Mar 2025 01:01:57 -0300

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libxml2-utils,
  meson,
  python-gi-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.gnome.org/List/
 Vcs-Browser: https://salsa.debian.org/gnome-team/errands

## errands 46.2.9

=== build-aux/requirements.txt ===
caldav==2.0.1
certifi==2025.10.5
charset-normalizer==3.4.3
click==8.3.0
icalendar==6.3.1
idna==3.10
lxml==6.0.2
python-dateutil==2.9.0.post0
recurring-ical-events==3.8.0
requests==2.32.5
six==1.17.0
tzdata==2025.2
urllib3==2.5.0
x-wr-timezone==2.0.1

=== debian/changelog ===
errands (46.2.9-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Remove debian/watch because it is no longer necessary
  * d/upstream/metadata: Add Archive: GitHub for uscan
  * d/control: Fix Lintian report redundant-rules-requires-root-no-field

 -- Leandro Cunha <leandrocunha016@gmail.com>  Tue, 18 Nov 2025 22:51:47 -0300

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  meson,
  python-gi-dev
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://apps.gnome.org/List/
 Vcs-Browser: https://salsa.debian.org/gnome-team/errands
 Vcs-Git: https://salsa.debian.org/gnome-team/errands.git

## errands 46.2.10

=== debian/changelog ===
errands (46.2.10-1~deb13u1) trixie; urgency=medium

  [ John Scott ]
  * New upstream release for Debian Trixie
  * Fixes the use of unverified TLS certificates when connecting to CalDAV servers
    (CVE-2025-71063) (Closes: #1123738)

 -- Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>  Wed, 14 Jan 2026 21:55:19 +0000

errands (46.2.10-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control: Bump S-V to 4.7.3; drop priority: optional

 -- Matthias Geiger <werdahias@debian.org>  Mon, 29 Dec 2025 13:38:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: errands
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Leandro Cunha <leandrocunha016@gmail.com>
 Build-Depends:
@@ -18,10 +17,10 @@
  libxml2-utils,
  meson,
  python-gi-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://apps.gnome.org/List/
 Vcs-Browser: https://salsa.debian.org/gnome-team/errands
-Vcs-Git: https://salsa.debian.org/gnome-team/errands.git
+Vcs-Git: https://salsa.debian.org/gnome-team/errands.git -b debian/trixie
 
 Package: errands
 Architecture: all
